summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorLennart Kolmodin <kolmodin@gentoo.org>2010-03-30 22:18:37 +0000
committerLennart Kolmodin <kolmodin@gentoo.org>2010-03-30 22:18:37 +0000
commit2908be90f90da1554a67245f5d125f9e7720afea (patch)
treeddcd84c12d6f3411d03f27a0d4149dbc087ad448
parentUnmask KDE 4.4.2. (diff)
downloadgentoo-2-2908be90f90da1554a67245f5d125f9e7720afea.tar.gz
gentoo-2-2908be90f90da1554a67245f5d125f9e7720afea.tar.bz2
gentoo-2-2908be90f90da1554a67245f5d125f9e7720afea.zip
When using dummy haskell libraries, there is no test suite.
-rw-r--r--eclass/haskell-cabal.eclass10
1 files changed, 7 insertions, 3 deletions
diff --git a/eclass/haskell-cabal.eclass b/eclass/haskell-cabal.eclass
index 3a1950241931..6328c1a51442 100644
--- a/eclass/haskell-cabal.eclass
+++ b/eclass/haskell-cabal.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2006 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/haskell-cabal.eclass,v 1.19 2010/03/27 09:10:46 kolmodin Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/haskell-cabal.eclass,v 1.20 2010/03/30 22:18:37 kolmodin Exp $
#
# Original authors: Andres Loeh <kosmikus@gentoo.org>
# Duncan Coutts <dcoutts@gentoo.org>
@@ -365,8 +365,12 @@ haskell-cabal_src_compile() {
haskell-cabal_src_test() {
pushd "${S}" > /dev/null
- einfo ">>> Test phase [cabal test]: ${CATEGORY}/${PF}"
- ./setup test || die "cabal test failed"
+ if cabal-is-dummy-lib; then
+ einfo ">>> No tests for dummy library: ${CATEGORY}/${PF}"
+ else
+ einfo ">>> Test phase [cabal test]: ${CATEGORY}/${PF}"
+ ./setup test || die "cabal test failed"
+ fi
popd > /dev/null
}